Bug 202266 - www/owncloud: SSL is broken (breaks calendar and contacts)
Summary: www/owncloud: SSL is broken (breaks calendar and contacts)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kevin Lo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-12 09:01 UTC by David Chisnall
Modified: 2015-08-15 15:31 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (kevlo)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Chisnall freebsd_committer 2015-08-12 09:01:39 UTC
Various components of OpenCloud apparently need to be built against openssl from ports, not from the base system.  See: https://github.com/owncloud/core/issues/17446

Currently, anyone upgrading to 8.1 from 8.0.x will suddenly find their contacts and calendar apps stop working.
Comment 1 Kevin Lo freebsd_committer 2015-08-13 01:28:22 UTC
Thanks for the bug report.  Since I'm running FreeBSD -current, it seems to 
me that both contacts and calendar apps work fine with openssl 1.0.1p from 
the base system.  I'll test it out with -release, thanks.
Comment 2 Gerrit 2015-08-13 10:40:38 UTC
Having the same issue and looking forward to a fix :-)
Comment 3 David Chisnall freebsd_committer 2015-08-14 10:09:24 UTC
Looks as if it works fine on 10.2, so probably needs to depend on the openssl port on <10.2.
Comment 4 commit-hook freebsd_committer 2015-08-15 15:29:35 UTC
A commit references this bug:

Author: kevlo
Date: Sat Aug 15 15:28:50 UTC 2015
New revision: 394322
URL: https://svnweb.freebsd.org/changeset/ports/394322

Log:
  - Use base OpenSSL on FreeBSD 10.2
  - Fix permission of occ

  PR:	202266, 202320
  Submitted by:	theraven

Changes:
  head/www/owncloud/Makefile
Comment 5 Kevin Lo freebsd_committer 2015-08-15 15:31:04 UTC
Fixed as r394322, thanks.